#include <iostream>
#include <string>
#include <cmath>

using namespace std;

int main()
{

  long long n,k;
  cin>>n;
  k=2*n;
  long long b[k];
  for(long long i=0;i<k-2;i++)
  {
      cin>>b[i];
      
  }
  cout<<ceil(n-n/2)-1;
}